Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.query.base
Interface IStringBuilder

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  IArithmeticCondition, IAttribute, ICondition, IFrom, IFunction, IFunctionElement, IJoin, ILeftOperand, ILimit, IOperator, IOrderBy, IOrderByElement, IOrderByExpression, IPredicate, IQuery, IRightOperand, ISelect, ISelectQuery, ISelectStringBuilder, ITable, IValue

All Known Implementing Classes:
  ArithmeticCondition, Attribute, Condition, From, Function, Join, Limit, Operator, OrderBy, OrderByExpression, Predicate, PredicateBase, Query, Select, SelectQuery, Table, Value, ValueList

    public interface IStringBuilder

extends java.io.Serializable

The IStringBuilder interface provides for a query string generation mechanism that delegetes operations to domain specific builder callbacks.

A class implements this interface to indicate that the instances of that class can produce a query string by means of interfacing with a builder callback.

All query element classes implement IStringBuilder interface so that the real query building operations can be delegated to the builder callbacks, which are developed by domain specific developers.

Method Summary
`java.lang.String` | `buildString(ISelectQueryCallback builder)` Builds a query string using the given builder callback.
`void` | `buildString(ISelectQueryCallback builder, java.lang.StringBuffer sb)`

Method Detail

### buildString

    java.lang.String buildString(ISelectQueryCallback builder)
                                 throws QueryException

  Builds a query string using the given builder callback.

  Throws:
    `QueryException`

### buildString

    void buildString(ISelectQueryCallback builder,
                     java.lang.StringBuffer sb)
                     throws QueryException

  Throws:
    `QueryException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD